## Требования

- Helm 3+

## Установка

```console
helm dep update
helm -n monitoring upgrade --install kube-prometheus-stack -f values.yml .
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| additionalPrometheusRulesMap | object | `{}` |  |
| alertmanager.alertmanagerSpec.additionalPeers | list | `[]` |  |
| alertmanager.alertmanagerSpec.affinity | object | `{}` |  |
| alertmanager.alertmanagerSpec.alertmanagerConfigNamespaceSelector | object | `{}` |  |
| alertmanager.alertmanagerSpec.alertmanagerConfigSelector | object | `{}` |  |
| alertmanager.alertmanagerSpec.clusterAdvertiseAddress | bool | `false` |  |
| alertmanager.alertmanagerSpec.configMaps | list | `[]` |  |
| alertmanager.alertmanagerSpec.containers | list | `[]` |  |
| alertmanager.alertmanagerSpec.externalUrl | string | `nil` |  |
| alertmanager.alertmanagerSpec.forceEnableClusterMode | bool | `false` |  |
| alertmanager.alertmanagerSpec.image.repository | string | `"quay.io/prometheus/alertmanager"` |  |
| alertmanager.alertmanagerSpec.image.sha | string | `""` |  |
| alertmanager.alertmanagerSpec.image.tag | string | `"v0.22.2"` |  |
| alertmanager.alertmanagerSpec.initContainers | list | `[]` |  |
| alertmanager.alertmanagerSpec.listenLocal | bool | `false` |  |
| alertmanager.alertmanagerSpec.logFormat | string | `"logfmt"` |  |
| alertmanager.alertmanagerSpec.logLevel | string | `"info"` |  |
| alertmanager.alertmanagerSpec.nodeSelector | object | `{}` |  |
| alertmanager.alertmanagerSpec.paused | bool | `false` |  |
| alertmanager.alertmanagerSpec.podAntiAffinity | string | `""` |  |
| alertmanager.alertmanagerSpec.podAntiAffinityTopologyKey | string | `"kubernetes.io/hostname"` |  |
| alertmanager.alertmanagerSpec.podMetadata | object | `{}` |  |
| alertmanager.alertmanagerSpec.portName | string | `"web"` |  |
| alertmanager.alertmanagerSpec.priorityClassName | string | `""` |  |
| alertmanager.alertmanagerSpec.replicas | int | `1` |  |
| alertmanager.alertmanagerSpec.resources | object | `{}` |  |
| alertmanager.alertmanagerSpec.retention | string | `"120h"` |  |
| alertmanager.alertmanagerSpec.routePrefix | string | `"/"` |  |
| alertmanager.alertmanagerSpec.secrets | list | `[]` |  |
| alertmanager.alertmanagerSpec.securityContext.fsGroup | int | `2000` |  |
| alertmanager.alertmanagerSpec.securityContext.runAsGroup | int | `2000` |  |
| alertmanager.alertmanagerSpec.securityContext.runAsNonRoot | bool | `true` |  |
| alertmanager.alertmanagerSpec.securityContext.runAsUser | int | `1000` |  |
| alertmanager.alertmanagerSpec.storage | object | `{}` |  |
| alertmanager.alertmanagerSpec.tolerations | list | `[]` |  |
| alertmanager.alertmanagerSpec.topologySpreadConstraints | list | `[]` |  |
| alertmanager.alertmanagerSpec.useExistingSecret | bool | `false` |  |
| alertmanager.alertmanagerSpec.volumeMounts | list | `[]` |  |
| alertmanager.alertmanagerSpec.volumes | list | `[]` |  |
| alertmanager.annotations | object | `{}` |  |
| alertmanager.apiVersion | string | `"v2"` |  |
| alertmanager.config.global.resolve_timeout | string | `"1m"` |  |
| alertmanager.config.receivers[0].name | string | `"alertmananger-bot"` |  |
| alertmanager.config.receivers[0].webhook_configs[0].send_resolved | bool | `true` |  |
| alertmanager.config.receivers[0].webhook_configs[0].url | string | `"http://"` |  |
| alertmanager.config.route.receiver | string | `"alertmananger-bot"` |  |
| alertmanager.config.templates[0] | string | `"/etc/alertmanager/config/*.tmpl"` |  |
| alertmanager.enabled | bool | `true` |  |
| alertmanager.ingress.annotations | object | `{}` |  |
| alertmanager.ingress.enabled | bool | `false` |  |
| alertmanager.ingress.hosts | list | `[]` |  |
| alertmanager.ingress.labels | object | `{}` |  |
| alertmanager.ingress.paths | list | `[]` |  |
| alertmanager.ingress.tls | list | `[]` |  |
| alertmanager.ingressPerReplica.annotations | object | `{}` |  |
| alertmanager.ingressPerReplica.enabled | bool | `false` |  |
| alertmanager.ingressPerReplica.hostDomain | string | `""` |  |
| alertmanager.ingressPerReplica.hostPrefix | string | `""` |  |
| alertmanager.ingressPerReplica.labels | object | `{}` |  |
| alertmanager.ingressPerReplica.paths | list | `[]` |  |
| alertmanager.ingressPerReplica.tlsSecretName | string | `""` |  |
| alertmanager.ingressPerReplica.tlsSecretPerReplica.enabled | bool | `false` |  |
| alertmanager.ingressPerReplica.tlsSecretPerReplica.prefix | string | `"alertmanager"` |  |
| alertmanager.podDisruptionBudget.enabled | bool | `false` |  |
| alertmanager.podDisruptionBudget.maxUnavailable | string | `""` |  |
| alertmanager.podDisruptionBudget.minAvailable | int | `1` |  |
| alertmanager.secret.annotations | object | `{}` |  |
| alertmanager.service.additionalPorts | list | `[]` |  |
| alertmanager.service.annotations | object | `{}` |  |
| alertmanager.service.clusterIP | string | `""` |  |
| alertmanager.service.externalIPs | list | `[]` |  |
| alertmanager.service.labels | object | `{}` |  |
| alertmanager.service.loadBalancerIP | string | `""` |  |
| alertmanager.service.loadBalancerSourceRanges | list | `[]` |  |
| alertmanager.service.nodePort | int | `30903` |  |
| alertmanager.service.port | int | `9093` |  |
| alertmanager.service.targetPort | int | `9093` |  |
| alertmanager.service.type | string | `"ClusterIP"` |  |
| alertmanager.serviceAccount.annotations | object | `{}` |  |
| alertmanager.serviceAccount.create | bool | `true` |  |
| alertmanager.serviceAccount.name | string | `""` |  |
| alertmanager.serviceMonitor.bearerTokenFile | string | `nil` |  |
| alertmanager.serviceMonitor.interval | string | `""` |  |
| alertmanager.serviceMonitor.metricRelabelings | list | `[]` |  |
| alertmanager.serviceMonitor.proxyUrl | string | `""` |  |
| alertmanager.serviceMonitor.relabelings | list | `[]` |  |
| alertmanager.serviceMonitor.scheme | string | `""` |  |
| alertmanager.serviceMonitor.selfMonitor | bool | `true` |  |
| alertmanager.serviceMonitor.tlsConfig | object | `{}` |  |
| alertmanager.servicePerReplica.annotations | object | `{}` |  |
| alertmanager.servicePerReplica.enabled | bool | `false` |  |
| alertmanager.servicePerReplica.loadBalancerSourceRanges | list | `[]` |  |
| alertmanager.servicePerReplica.nodePort | int | `30904` |  |
| alertmanager.servicePerReplica.port | int | `9093` |  |
| alertmanager.servicePerReplica.targetPort | int | `9093` |  |
| alertmanager.servicePerReplica.type | string | `"ClusterIP"` |  |
| alertmanager.templateFiles | object | `{}` |  |
| alertmanager.tplConfig | bool | `false` |  |
| commonLabels | object | `{}` |  |
| coreDns.enabled | bool | `true` |  |
| coreDns.service.port | int | `9153` |  |
| coreDns.service.targetPort | int | `9153` |  |
| coreDns.serviceMonitor.interval | string | `""` |  |
| coreDns.serviceMonitor.metricRelabelings | list | `[]` |  |
| coreDns.serviceMonitor.proxyUrl | string | `""` |  |
| coreDns.serviceMonitor.relabelings | list | `[]` |  |
| defaultRules.additionalRuleLabels | object | `{}` |  |
| defaultRules.annotations | object | `{}` |  |
| defaultRules.appNamespacesTarget | string | `".*"` |  |
| defaultRules.create | bool | `true` |  |
| defaultRules.labels | object | `{}` |  |
| defaultRules.rules.alertmanager | bool | `true` |  |
| defaultRules.rules.etcd | bool | `true` |  |
| defaultRules.rules.general | bool | `true` |  |
| defaultRules.rules.k8s | bool | `true` |  |
| defaultRules.rules.kubeApiserver | bool | `true` |  |
| defaultRules.rules.kubeApiserverAvailability | bool | `true` |  |
| defaultRules.rules.kubeApiserverError | bool | `true` |  |
| defaultRules.rules.kubeApiserverSlos | bool | `true` |  |
| defaultRules.rules.kubePrometheusGeneral | bool | `true` |  |
| defaultRules.rules.kubePrometheusNodeAlerting | bool | `true` |  |
| defaultRules.rules.kubePrometheusNodeRecording | bool | `true` |  |
| defaultRules.rules.kubeScheduler | bool | `true` |  |
| defaultRules.rules.kubeStateMetrics | bool | `true` |  |
| defaultRules.rules.kubelet | bool | `true` |  |
| defaultRules.rules.kubernetesAbsent | bool | `true` |  |
| defaultRules.rules.kubernetesApps | bool | `true` |  |
| defaultRules.rules.kubernetesResources | bool | `true` |  |
| defaultRules.rules.kubernetesStorage | bool | `true` |  |
| defaultRules.rules.kubernetesSystem | bool | `true` |  |
| defaultRules.rules.network | bool | `true` |  |
| defaultRules.rules.node | bool | `true` |  |
| defaultRules.rules.prometheus | bool | `true` |  |
| defaultRules.rules.prometheusOperator | bool | `true` |  |
| defaultRules.rules.time | bool | `true` |  |
| defaultRules.runbookUrl | string | `"https://github.com/kubernetes-monitoring/kubernetes-mixin/tree/master/runbook.md#"` |  |
| fullnameOverride | string | `""` |  |
| global.imagePullSecrets | list | `[]` |  |
| global.rbac.create | bool | `true` |  |
| global.rbac.pspAnnotations | object | `{}` |  |
| global.rbac.pspEnabled | bool | `true` |  |
| grafana.additionalDataSources | list | `[]` |  |
| grafana.adminPassword | string | `"prom-operator"` |  |
| grafana.defaultDashboardsEnabled | bool | `true` |  |
| grafana.enabled | bool | `false` |  |
| grafana.extraConfigmapMounts | list | `[]` |  |
| grafana.forceDeployDashboards | bool | `false` |  |
| grafana.forceDeployDatasources | bool | `false` |  |
| grafana.ingress.annotations | object | `{}` |  |
| grafana.ingress.enabled | bool | `false` |  |
| grafana.ingress.hosts | list | `[]` |  |
| grafana.ingress.labels | object | `{}` |  |
| grafana.ingress.path | string | `"/"` |  |
| grafana.ingress.tls | list | `[]` |  |
| grafana.namespaceOverride | string | `""` |  |
| grafana.service.portName | string | `"service"` |  |
| grafana.serviceMonitor.interval | string | `""` |  |
| grafana.serviceMonitor.metricRelabelings | list | `[]` |  |
| grafana.serviceMonitor.path | string | `"/metrics"` |  |
| grafana.serviceMonitor.relabelings | list | `[]` |  |
| grafana.serviceMonitor.selfMonitor | bool | `true` |  |
| grafana.sidecar.dashboards.annotations | object | `{}` |  |
| grafana.sidecar.dashboards.enabled | bool | `true` |  |
| grafana.sidecar.dashboards.label | string | `"grafana_dashboard"` |  |
| grafana.sidecar.dashboards.multicluster | bool | `false` |  |
| grafana.sidecar.datasources.annotations | object | `{}` |  |
| grafana.sidecar.datasources.createPrometheusReplicasDatasources | bool | `false` |  |
| grafana.sidecar.datasources.defaultDatasourceEnabled | bool | `true` |  |
| grafana.sidecar.datasources.enabled | bool | `true` |  |
| grafana.sidecar.datasources.label | string | `"grafana_datasource"` |  |
| kube-state-metrics.namespaceOverride | string | `""` |  |
| kube-state-metrics.podSecurityPolicy.enabled | bool | `true` |  |
| kube-state-metrics.rbac.create | bool | `true` |  |
| kubeApiServer.enabled | bool | `true` |  |
| kubeApiServer.serviceMonitor.interval | string | `""` |  |
| kubeApiServer.serviceMonitor.jobLabel | string | `"component"` |  |
| kubeApiServer.serviceMonitor.metricRelabelings | list | `[]` |  |
| kubeApiServer.serviceMonitor.proxyUrl | string | `""` |  |
| kubeApiServer.serviceMonitor.relabelings | list | `[]` |  |
| kubeApiServer.serviceMonitor.selector.matchLabels.component | string | `"apiserver"` |  |
| kubeApiServer.serviceMonitor.selector.matchLabels.provider | string | `"kubernetes"` |  |
| kubeApiServer.tlsConfig.insecureSkipVerify | bool | `false` |  |
| kubeApiServer.tlsConfig.serverName | string | `"kubernetes"` |  |
| kubeControllerManager.enabled | bool | `true` |  |
| kubeControllerManager.endpoints | list | `[]` |  |
| kubeControllerManager.service.enabled | bool | `true` |  |
| kubeControllerManager.service.port | int | `10252` |  |
| kubeControllerManager.service.targetPort | int | `10252` |  |
| kubeControllerManager.serviceMonitor.enabled | bool | `true` |  |
| kubeControllerManager.serviceMonitor.https | bool | `false` |  |
| kubeControllerManager.serviceMonitor.insecureSkipVerify | string | `nil` |  |
| kubeControllerManager.serviceMonitor.interval | string | `""` |  |
| kubeControllerManager.serviceMonitor.metricRelabelings | list | `[]` |  |
| kubeControllerManager.serviceMonitor.proxyUrl | string | `""` |  |
| kubeControllerManager.serviceMonitor.relabelings | list | `[]` |  |
| kubeControllerManager.serviceMonitor.serverName | string | `nil` |  |
| kubeDns.enabled | bool | `false` |  |
| kubeDns.service.dnsmasq.port | int | `10054` |  |
| kubeDns.service.dnsmasq.targetPort | int | `10054` |  |
| kubeDns.service.skydns.port | int | `10055` |  |
| kubeDns.service.skydns.targetPort | int | `10055` |  |
| kubeDns.serviceMonitor.dnsmasqMetricRelabelings | list | `[]` |  |
| kubeDns.serviceMonitor.dnsmasqRelabelings | list | `[]` |  |
| kubeDns.serviceMonitor.interval | string | `""` |  |
| kubeDns.serviceMonitor.metricRelabelings | list | `[]` |  |
| kubeDns.serviceMonitor.proxyUrl | string | `""` |  |
| kubeDns.serviceMonitor.relabelings | list | `[]` |  |
| kubeEtcd.enabled | bool | `true` |  |
| kubeEtcd.endpoints | list | `[]` |  |
| kubeEtcd.service.enabled | bool | `true` |  |
| kubeEtcd.service.port | int | `2379` |  |
| kubeEtcd.service.targetPort | int | `2379` |  |
| kubeEtcd.serviceMonitor.caFile | string | `""` |  |
| kubeEtcd.serviceMonitor.certFile | string | `""` |  |
| kubeEtcd.serviceMonitor.enabled | bool | `true` |  |
| kubeEtcd.serviceMonitor.insecureSkipVerify | bool | `false` |  |
| kubeEtcd.serviceMonitor.interval | string | `""` |  |
| kubeEtcd.serviceMonitor.keyFile | string | `""` |  |
| kubeEtcd.serviceMonitor.metricRelabelings | list | `[]` |  |
| kubeEtcd.serviceMonitor.proxyUrl | string | `""` |  |
| kubeEtcd.serviceMonitor.relabelings | list | `[]` |  |
| kubeEtcd.serviceMonitor.scheme | string | `"http"` |  |
| kubeEtcd.serviceMonitor.serverName | string | `""` |  |
| kubeProxy.enabled | bool | `true` |  |
| kubeProxy.endpoints | list | `[]` |  |
| kubeProxy.service.enabled | bool | `true` |  |
| kubeProxy.service.port | int | `10249` |  |
| kubeProxy.service.targetPort | int | `10249` |  |
| kubeProxy.serviceMonitor.enabled | bool | `true` |  |
| kubeProxy.serviceMonitor.https | bool | `false` |  |
| kubeProxy.serviceMonitor.interval | string | `""` |  |
| kubeProxy.serviceMonitor.metricRelabelings | list | `[]` |  |
| kubeProxy.serviceMonitor.proxyUrl | string | `""` |  |
| kubeProxy.serviceMonitor.relabelings | list | `[]` |  |
| kubeScheduler.enabled | bool | `true` |  |
| kubeScheduler.endpoints | list | `[]` |  |
| kubeScheduler.service.enabled | bool | `true` |  |
| kubeScheduler.service.port | int | `10251` |  |
| kubeScheduler.service.targetPort | int | `10251` |  |
| kubeScheduler.serviceMonitor.enabled | bool | `true` |  |
| kubeScheduler.serviceMonitor.https | bool | `false` |  |
| kubeScheduler.serviceMonitor.insecureSkipVerify | string | `nil` |  |
| kubeScheduler.serviceMonitor.interval | string | `""` |  |
| kubeScheduler.serviceMonitor.metricRelabelings | list | `[]` |  |
| kubeScheduler.serviceMonitor.proxyUrl | string | `""` |  |
| kubeScheduler.serviceMonitor.relabelings | list | `[]` |  |
| kubeScheduler.serviceMonitor.serverName | string | `nil` |  |
| kubeStateMetrics.enabled | bool | `true` |  |
| kubeStateMetrics.serviceMonitor.interval | string | `""` |  |
| kubeStateMetrics.serviceMonitor.metricRelabelings | list | `[]` |  |
| kubeStateMetrics.serviceMonitor.namespaceOverride | string | `""` |  |
| kubeStateMetrics.serviceMonitor.proxyUrl | string | `""` |  |
| kubeStateMetrics.serviceMonitor.relabelings | list | `[]` |  |
| kubeStateMetrics.serviceMonitor.selectorOverride | object | `{}` |  |
| kubeStateMetrics.serviceMonitor.selfMonitor.enabled | bool | `false` |  |
| kubeTargetVersionOverride | string | `""` |  |
| kubeVersionOverride | string | `""` |  |
| kubelet.enabled | bool | `true` |  |
| kubelet.namespace | string | `"kube-system"` |  |
| kubelet.serviceMonitor.cAdvisor | bool | `true` |  |
| kubelet.serviceMonitor.cAdvisorMetricRelabelings | list | `[]` |  |
| kubelet.serviceMonitor.cAdvisorRelabelings[0].sourceLabels[0] | string | `"__metrics_path__"` |  |
| kubelet.serviceMonitor.cAdvisorRelabelings[0].targetLabel | string | `"metrics_path"` |  |
| kubelet.serviceMonitor.https | bool | `true` |  |
| kubelet.serviceMonitor.interval | string | `""` |  |
| kubelet.serviceMonitor.metricRelabelings | list | `[]` |  |
| kubelet.serviceMonitor.probes | bool | `true` |  |
| kubelet.serviceMonitor.probesMetricRelabelings | list | `[]` |  |
| kubelet.serviceMonitor.probesRelabelings[0].sourceLabels[0] | string | `"__metrics_path__"` |  |
| kubelet.serviceMonitor.probesRelabelings[0].targetLabel | string | `"metrics_path"` |  |
| kubelet.serviceMonitor.proxyUrl | string | `""` |  |
| kubelet.serviceMonitor.relabelings[0].sourceLabels[0] | string | `"__metrics_path__"` |  |
| kubelet.serviceMonitor.relabelings[0].targetLabel | string | `"metrics_path"` |  |
| kubelet.serviceMonitor.resource | bool | `false` |  |
| kubelet.serviceMonitor.resourcePath | string | `"/metrics/resource/v1alpha1"` |  |
| kubelet.serviceMonitor.resourceRelabelings[0].sourceLabels[0] | string | `"__metrics_path__"` |  |
| kubelet.serviceMonitor.resourceRelabelings[0].targetLabel | string | `"metrics_path"` |  |
| nameOverride | string | `""` |  |
| namespaceOverride | string | `""` |  |
| nodeExporter.enabled | bool | `true` |  |
| nodeExporter.jobLabel | string | `"jobLabel"` |  |
| nodeExporter.serviceMonitor.interval | string | `""` |  |
| nodeExporter.serviceMonitor.metricRelabelings | list | `[]` |  |
| nodeExporter.serviceMonitor.proxyUrl | string | `""` |  |
| nodeExporter.serviceMonitor.relabelings | list | `[]` |  |
| nodeExporter.serviceMonitor.scrapeTimeout | string | `""` |  |
| prometheus-node-exporter.extraArgs[0] | string | `"--collector.filesystem.ignored-mount-points=^/(dev|proc|sys|var/lib/docker/.+|var/lib/kubelet/.+)($|/)"` |  |
| prometheus-node-exporter.extraArgs[1] | string | `"--collector.filesystem.ignored-fs-types=^(autofs|binfmt_misc|bpf|cgroup2?|configfs|debugfs|devpts|devtmpfs|fusectl|hugetlbfs|iso9660|mqueue|nsfs|overlay|proc|procfs|pstore|rpc_pipefs|securityfs|selinuxfs|squashfs|sysfs|tracefs)$"` |  |
| prometheus-node-exporter.namespaceOverride | string | `""` |  |
| prometheus-node-exporter.podLabels.jobLabel | string | `"node-exporter"` |  |
| prometheus.additionalPodMonitors | list | `[]` |  |
| prometheus.additionalRulesForClusterRole | list | `[]` |  |
| prometheus.additionalServiceMonitors | list | `[]` |  |
| prometheus.annotations | object | `{}` |  |
| prometheus.enabled | bool | `true` |  |
| prometheus.ingress.annotations | object | `{}` |  |
| prometheus.ingress.enabled | bool | `false` |  |
| prometheus.ingress.hosts | list | `[]` |  |
| prometheus.ingress.labels | object | `{}` |  |
| prometheus.ingress.paths | list | `[]` |  |
| prometheus.ingress.tls | list | `[]` |  |
| prometheus.ingressPerReplica.annotations | object | `{}` |  |
| prometheus.ingressPerReplica.enabled | bool | `false` |  |
| prometheus.ingressPerReplica.hostDomain | string | `""` |  |
| prometheus.ingressPerReplica.hostPrefix | string | `""` |  |
| prometheus.ingressPerReplica.labels | object | `{}` |  |
| prometheus.ingressPerReplica.paths | list | `[]` |  |
| prometheus.ingressPerReplica.tlsSecretName | string | `""` |  |
| prometheus.ingressPerReplica.tlsSecretPerReplica.enabled | bool | `false` |  |
| prometheus.ingressPerReplica.tlsSecretPerReplica.prefix | string | `"prometheus"` |  |
| prometheus.podDisruptionBudget.enabled | bool | `false` |  |
| prometheus.podDisruptionBudget.maxUnavailable | string | `""` |  |
| prometheus.podDisruptionBudget.minAvailable | int | `1` |  |
| prometheus.podSecurityPolicy.allowedCapabilities | list | `[]` |  |
| prometheus.podSecurityPolicy.allowedHostPaths | list | `[]` |  |
| prometheus.podSecurityPolicy.volumes | list | `[]` |  |
| prometheus.prometheusSpec.additionalAlertManagerConfigs | list | `[]` |  |
| prometheus.prometheusSpec.additionalAlertManagerConfigsSecret | object | `{}` |  |
| prometheus.prometheusSpec.additionalAlertRelabelConfigs | list | `[]` |  |
| prometheus.prometheusSpec.additionalPrometheusSecretsAnnotations | object | `{}` |  |
| prometheus.prometheusSpec.additionalRemoteRead | list | `[]` |  |
| prometheus.prometheusSpec.additionalRemoteWrite | list | `[]` |  |
| prometheus.prometheusSpec.additionalScrapeConfigs | list | `[]` |  |
| prometheus.prometheusSpec.additionalScrapeConfigsSecret | object | `{}` |  |
| prometheus.prometheusSpec.affinity | object | `{}` |  |
| prometheus.prometheusSpec.alertingEndpoints | list | `[]` |  |
| prometheus.prometheusSpec.allowOverlappingBlocks | bool | `false` |  |
| prometheus.prometheusSpec.apiserverConfig | object | `{}` |  |
| prometheus.prometheusSpec.arbitraryFSAccessThroughSMs | bool | `false` |  |
| prometheus.prometheusSpec.configMaps | list | `[]` |  |
| prometheus.prometheusSpec.containers | list | `[]` |  |
| prometheus.prometheusSpec.disableCompaction | bool | `false` |  |
| prometheus.prometheusSpec.enableAdminAPI | bool | `false` |  |
| prometheus.prometheusSpec.enableFeatures | list | `[]` |  |
| prometheus.prometheusSpec.enforcedNamespaceLabel | string | `""` |  |
| prometheus.prometheusSpec.enforcedSampleLimit | bool | `false` |  |
| prometheus.prometheusSpec.evaluationInterval | string | `""` |  |
| prometheus.prometheusSpec.externalLabels | object | `{}` |  |
| prometheus.prometheusSpec.externalUrl | string | `""` |  |
| prometheus.prometheusSpec.ignoreNamespaceSelectors | bool | `false` |  |
| prometheus.prometheusSpec.image.repository | string | `"quay.io/prometheus/prometheus"` |  |
| prometheus.prometheusSpec.image.sha | string | `""` |  |
| prometheus.prometheusSpec.image.tag | string | `"v2.27.1"` |  |
| prometheus.prometheusSpec.initContainers | list | `[]` |  |
| prometheus.prometheusSpec.listenLocal | bool | `false` |  |
| prometheus.prometheusSpec.logFormat | string | `"logfmt"` |  |
| prometheus.prometheusSpec.logLevel | string | `"info"` |  |
| prometheus.prometheusSpec.nodeSelector | object | `{}` |  |
| prometheus.prometheusSpec.overrideHonorLabels | bool | `false` |  |
| prometheus.prometheusSpec.overrideHonorTimestamps | bool | `false` |  |
| prometheus.prometheusSpec.paused | bool | `false` |  |
| prometheus.prometheusSpec.podAntiAffinity | string | `""` |  |
| prometheus.prometheusSpec.podAntiAffinityTopologyKey | string | `"kubernetes.io/hostname"` |  |
| prometheus.prometheusSpec.podMetadata | object | `{}` |  |
| prometheus.prometheusSpec.podMonitorNamespaceSelector | object | `{}` |  |
| prometheus.prometheusSpec.podMonitorSelector | object | `{}` |  |
| prometheus.prometheusSpec.podMonitorSelectorNilUsesHelmValues | bool | `false` |  |
| prometheus.prometheusSpec.portName | string | `"web"` |  |
| prometheus.prometheusSpec.priorityClassName | string | `""` |  |
| prometheus.prometheusSpec.probeNamespaceSelector | object | `{}` |  |
| prometheus.prometheusSpec.probeSelector | object | `{}` |  |
| prometheus.prometheusSpec.probeSelectorNilUsesHelmValues | bool | `true` |  |
| prometheus.prometheusSpec.prometheusExternalLabelName | string | `""` |  |
| prometheus.prometheusSpec.prometheusExternalLabelNameClear | bool | `false` |  |
| prometheus.prometheusSpec.prometheusRulesExcludedFromEnforce | list | `[]` |  |
| prometheus.prometheusSpec.query | object | `{}` |  |
| prometheus.prometheusSpec.queryLogFile | bool | `false` |  |
| prometheus.prometheusSpec.remoteRead | list | `[]` |  |
| prometheus.prometheusSpec.remoteWrite | list | `[]` |  |
| prometheus.prometheusSpec.remoteWriteDashboards | bool | `false` |  |
| prometheus.prometheusSpec.replicaExternalLabelName | string | `""` |  |
| prometheus.prometheusSpec.replicaExternalLabelNameClear | bool | `false` |  |
| prometheus.prometheusSpec.replicas | int | `1` |  |
| prometheus.prometheusSpec.resources | object | `{}` |  |
| prometheus.prometheusSpec.retention | string | `"10d"` |  |
| prometheus.prometheusSpec.retentionSize | string | `""` |  |
| prometheus.prometheusSpec.routePrefix | string | `"/"` |  |
| prometheus.prometheusSpec.ruleNamespaceSelector | object | `{}` |  |
| prometheus.prometheusSpec.ruleSelector | object | `{}` |  |
| prometheus.prometheusSpec.ruleSelectorNilUsesHelmValues | bool | `true` |  |
| prometheus.prometheusSpec.scrapeInterval | string | `""` |  |
| prometheus.prometheusSpec.scrapeTimeout | string | `""` |  |
| prometheus.prometheusSpec.secrets | list | `[]` |  |
| prometheus.prometheusSpec.securityContext.fsGroup | int | `2000` |  |
| prometheus.prometheusSpec.securityContext.runAsGroup | int | `2000` |  |
| prometheus.prometheusSpec.securityContext.runAsNonRoot | bool | `true` |  |
| prometheus.prometheusSpec.securityContext.runAsUser | int | `1000` |  |
| prometheus.prometheusSpec.serviceMonitorNamespaceSelector | object | `{}` |  |
| prometheus.prometheusSpec.serviceMonitorSelector | object | `{}` |  |
| prometheus.prometheusSpec.serviceMonitorSelectorNilUsesHelmValues | bool | `false` |  |
| prometheus.prometheusSpec.shards | int | `1` |  |
| prometheus.prometheusSpec.storageSpec | object | `{}` |  |
| prometheus.prometheusSpec.thanos | object | `{}` |  |
| prometheus.prometheusSpec.tolerations | list | `[]` |  |
| prometheus.prometheusSpec.topologySpreadConstraints | list | `[]` |  |
| prometheus.prometheusSpec.volumeMounts | list | `[]` |  |
| prometheus.prometheusSpec.volumes | list | `[]` |  |
| prometheus.prometheusSpec.walCompression | bool | `false` |  |
| prometheus.service.annotations | object | `{}` |  |
| prometheus.service.clusterIP | string | `""` |  |
| prometheus.service.externalIPs | list | `[]` |  |
| prometheus.service.labels | object | `{}` |  |
| prometheus.service.loadBalancerIP | string | `""` |  |
| prometheus.service.loadBalancerSourceRanges | list | `[]` |  |
| prometheus.service.nodePort | int | `30090` |  |
| prometheus.service.port | int | `9090` |  |
| prometheus.service.sessionAffinity | string | `""` |  |
| prometheus.service.targetPort | int | `9090` |  |
| prometheus.service.type | string | `"ClusterIP"` |  |
| prometheus.serviceAccount.annotations | object | `{}` |  |
| prometheus.serviceAccount.create | bool | `true` |  |
| prometheus.serviceAccount.name | string | `""` |  |
| prometheus.serviceMonitor.bearerTokenFile | string | `nil` |  |
| prometheus.serviceMonitor.interval | string | `""` |  |
| prometheus.serviceMonitor.metricRelabelings | list | `[]` |  |
| prometheus.serviceMonitor.relabelings | list | `[]` |  |
| prometheus.serviceMonitor.scheme | string | `""` |  |
| prometheus.serviceMonitor.selfMonitor | bool | `true` |  |
| prometheus.serviceMonitor.tlsConfig | object | `{}` |  |
| prometheus.servicePerReplica.annotations | object | `{}` |  |
| prometheus.servicePerReplica.enabled | bool | `false` |  |
| prometheus.servicePerReplica.loadBalancerSourceRanges | list | `[]` |  |
| prometheus.servicePerReplica.nodePort | int | `30091` |  |
| prometheus.servicePerReplica.port | int | `9090` |  |
| prometheus.servicePerReplica.targetPort | int | `9090` |  |
| prometheus.servicePerReplica.type | string | `"ClusterIP"` |  |
| prometheus.thanosIngress.annotations | object | `{}` |  |
| prometheus.thanosIngress.enabled | bool | `false` |  |
| prometheus.thanosIngress.hosts | list | `[]` |  |
| prometheus.thanosIngress.labels | object | `{}` |  |
| prometheus.thanosIngress.nodePort | int | `30901` |  |
| prometheus.thanosIngress.paths | list | `[]` |  |
| prometheus.thanosIngress.servicePort | int | `10901` |  |
| prometheus.thanosIngress.tls | list | `[]` |  |
| prometheus.thanosService.annotations | object | `{}` |  |
| prometheus.thanosService.clusterIP | string | `"None"` |  |
| prometheus.thanosService.enabled | bool | `false` |  |
| prometheus.thanosService.labels | object | `{}` |  |
| prometheus.thanosService.nodePort | int | `30901` |  |
| prometheus.thanosService.port | int | `10901` |  |
| prometheus.thanosService.portName | string | `"grpc"` |  |
| prometheus.thanosService.targetPort | string | `"grpc"` |  |
| prometheus.thanosService.type | string | `"ClusterIP"` |  |
| prometheus.thanosServiceExternal.annotations | object | `{}` |  |
| prometheus.thanosServiceExternal.enabled | bool | `false` |  |
| prometheus.thanosServiceExternal.labels | object | `{}` |  |
| prometheus.thanosServiceExternal.nodePort | int | `30901` |  |
| prometheus.thanosServiceExternal.port | int | `10901` |  |
| prometheus.thanosServiceExternal.portName | string | `"grpc"` |  |
| prometheus.thanosServiceExternal.targetPort | string | `"grpc"` |  |
| prometheus.thanosServiceExternal.type | string | `"LoadBalancer"` |  |
| prometheusOperator.admissionWebhooks.caBundle | string | `""` |  |
| prometheusOperator.admissionWebhooks.certManager.enabled | bool | `false` |  |
| prometheusOperator.admissionWebhooks.enabled | bool | `true` |  |
| prometheusOperator.admissionWebhooks.failurePolicy | string | `"Fail"` |  |
| prometheusOperator.admissionWebhooks.patch.affinity | object | `{}` |  |
| prometheusOperator.admissionWebhooks.patch.enabled | bool | `true` |  |
| prometheusOperator.admissionWebhooks.patch.image.pullPolicy | string | `"IfNotPresent"` |  |
| prometheusOperator.admissionWebhooks.patch.image.repository | string | `"jettech/kube-webhook-certgen"` |  |
| prometheusOperator.admissionWebhooks.patch.image.sha | string | `""` |  |
| prometheusOperator.admissionWebhooks.patch.image.tag | string | `"v1.5.2"` |  |
| prometheusOperator.admissionWebhooks.patch.nodeSelector | object | `{}` |  |
| prometheusOperator.admissionWebhooks.patch.podAnnotations | object | `{}` |  |
| prometheusOperator.admissionWebhooks.patch.priorityClassName | string | `""` |  |
| prometheusOperator.admissionWebhooks.patch.resources | object | `{}` |  |
| prometheusOperator.admissionWebhooks.patch.securityContext.runAsGroup | int | `2000` |  |
| prometheusOperator.admissionWebhooks.patch.securityContext.runAsNonRoot | bool | `true` |  |
| prometheusOperator.admissionWebhooks.patch.securityContext.runAsUser | int | `2000` |  |
| prometheusOperator.admissionWebhooks.patch.tolerations | list | `[]` |  |
| prometheusOperator.affinity | object | `{}` |  |
| prometheusOperator.alertmanagerInstanceNamespaces | list | `[]` |  |
| prometheusOperator.configReloaderCpu | string | `"100m"` |  |
| prometheusOperator.configReloaderMemory | string | `"50Mi"` |  |
| prometheusOperator.denyNamespaces | list | `[]` |  |
| prometheusOperator.dnsConfig | object | `{}` |  |
| prometheusOperator.enabled | bool | `true` |  |
| prometheusOperator.hostNetwork | bool | `false` |  |
| prometheusOperator.image.pullPolicy | string | `"IfNotPresent"` |  |
| prometheusOperator.image.repository | string | `"quay.io/prometheus-operator/prometheus-operator"` |  |
| prometheusOperator.image.sha | string | `""` |  |
| prometheusOperator.image.tag | string | `"v0.48.1"` |  |
| prometheusOperator.kubeletService.enabled | bool | `true` |  |
| prometheusOperator.kubeletService.namespace | string | `"kube-system"` |  |
| prometheusOperator.namespaces | object | `{}` |  |
| prometheusOperator.nodeSelector | object | `{}` |  |
| prometheusOperator.podAnnotations | object | `{}` |  |
| prometheusOperator.podLabels | object | `{}` |  |
| prometheusOperator.prometheusConfigReloaderImage.repository | string | `"quay.io/prometheus-operator/prometheus-config-reloader"` |  |
| prometheusOperator.prometheusConfigReloaderImage.sha | string | `""` |  |
| prometheusOperator.prometheusConfigReloaderImage.tag | string | `"v0.48.1"` |  |
| prometheusOperator.prometheusInstanceNamespaces | list | `[]` |  |
| prometheusOperator.resources | object | `{}` |  |
| prometheusOperator.secretFieldSelector | string | `""` |  |
| prometheusOperator.securityContext.fsGroup | int | `65534` |  |
| prometheusOperator.securityContext.runAsGroup | int | `65534` |  |
| prometheusOperator.securityContext.runAsNonRoot | bool | `true` |  |
| prometheusOperator.securityContext.runAsUser | int | `65534` |  |
| prometheusOperator.service.additionalPorts | list | `[]` |  |
| prometheusOperator.service.annotations | object | `{}` |  |
| prometheusOperator.service.clusterIP | string | `""` |  |
| prometheusOperator.service.externalIPs | list | `[]` |  |
| prometheusOperator.service.labels | object | `{}` |  |
| prometheusOperator.service.loadBalancerIP | string | `""` |  |
| prometheusOperator.service.loadBalancerSourceRanges | list | `[]` |  |
| prometheusOperator.service.nodePort | int | `30080` |  |
| prometheusOperator.service.nodePortTls | int | `30443` |  |
| prometheusOperator.service.type | string | `"ClusterIP"` |  |
| prometheusOperator.serviceAccount.create | bool | `true` |  |
| prometheusOperator.serviceAccount.name | string | `""` |  |
| prometheusOperator.serviceMonitor.interval | string | `""` |  |
| prometheusOperator.serviceMonitor.metricRelabelings | list | `[]` |  |
| prometheusOperator.serviceMonitor.relabelings | list | `[]` |  |
| prometheusOperator.serviceMonitor.scrapeTimeout | string | `""` |  |
| prometheusOperator.serviceMonitor.selfMonitor | bool | `true` |  |
| prometheusOperator.tls.enabled | bool | `true` |  |
| prometheusOperator.tls.internalPort | int | `10250` |  |
| prometheusOperator.tls.tlsMinVersion | string | `"VersionTLS13"` |  |
| prometheusOperator.tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
